/* Special property elements */
a	{
	color: rgb(214, 214, 214) !important;
	text-decoration: none !important;
}
.unselectable	{
    -webkit-touch-callout: none;
    -webkit-user-select: none;
    -khtml-user-select: none;
    -moz-user-select: none;
    -ms-user-select: none;
    user-select: none;	
}
.hitbox	{	/* Show hitbox or not */
	/* border: 1px solid black; */
}
.one-line	{
	display: inline-block;
	width: 100%;
	white-space: nowrap;
	overflow: hidden;
	text-overflow: ellipsis;
}
.expand-text:hover	{
	white-space: normal !important;
	height: auto;
	max-height: unset !important;
}
.tile-container	{
	display: flex;
}
.tile-col	{
	flex-grow: 1;
	flex-shrink: 1;
	flex-direction: row;
	max-width: 100%;
	min-width: 0;
}
.tile-row	{
	flex-grow: 1;
	flex-shrink: 1;
	flex-direction: column;
	max-height: 100%;
	min-height: 0;
}
.tile-fix	{
	flex-grow: 0;
	flex-shrink: 0;
}

/* Main Window */
body	{
	background-color: rgb(71, 71, 77) !important;
}

/* Notifications */
#notification-column	{
	padding: 5px;
}
#notification-container	{
	color: rgb(214, 214, 214);
	background-color: rgb(75, 75, 75);
	border: 2px solid black;
	padding: 0px;
	height: 76vh;
	overflow-y: auto;
}
#notification-container::-webkit-scrollbar	{
	width: 0em;
}
#notification-container::-webkit-scrollbar-track {
    -webkit-box-shadow: inset 0 0 6px rgb(24, 24, 24);
}
#notification-container::-webkit-scrollbar-thumb {
	background-color: rgb(83, 83, 83);
}
.notification	{
	background-color: rgb(48, 48, 48);
	color: rgb(214, 214, 214);
	border: 2px solid black;
	margin: 0.3em;
	padding: 0.3em;
	border-radius: 0.5em;
	overflow: hidden;
}
#notification-text	{
	margin-left: 15px;
	margin-right: 15px;
}
#notification-full-text	{
	overflow: hidden;
	width: 100%;
	max-height: 3em;
}
#notification-image img	{
	border: 0.2em solid;
	height: 14vh;
	max-width: 14vh;
	border-radius: 0.5em;
	background-color: rgba(100, 65, 165, 0.3);
}
#notification-controls {
	width: 3em;
}
#notification-dismiss-image {
	padding-left: 50%;
	padding-right: 20%;
	width: 100%;
}
#notification-dismiss-image	img {
	width: 100%;
	height: auto;
}
.notficiation-datetime	{
	position: absolute;
	text-align: center;
	font-size: small;
	width: 100%;
}

/* Widgets */
#widget-column	{
	padding: 5px;
	height: 95%;
}
#widget-container	{
	background-color: rgb(75, 75, 75);
	border: 2px solid black;
	padding-left: 0px;
	padding-right: 0px;
	padding-top: 2.5px;
	padding-bottom: 2.5px;
	height: 76vh;
}
.widget-container	{
	padding-left: 5px;
	padding-right: 5px;
	padding-top: 2.5px;
	padding-bottom: 2.5px;
}
.widget	{
	background-color:rgb(48, 48, 48);
	/* border-color: rgb(48, 48, 48);
	border-width: 3px;
	border-style: solid; */
	color: white;
	padding: 5px;
	border-radius: 0.5em;
	box-sizing: border-box;
	height: 100%;
}

/* Weather */
#weather	{
	height: 40%;
	overflow: hidden;
	padding-top: -5px;
}
.weather-row	{
	display: flex;
	width: 100%;
	/* border: 1px solid black; */
	text-align: center;
	padding-top: 0.5em;
}
.weather-tile	{
	padding-left: 0.1em;
	padding-right: 0.1em;
	/* line-height: 1em; */
}
.weather-tile img {
	height: auto;
	width: 10vh;
	margin: -20px;
}

#monitor	{
	height: 30%;
}
#ping	{
	height: 30%;
}
.date 	{
	font-size: 0.9em;
}
.time 	{
	font-size: 0.9em;
}

/* Logitech */
.peripheral img{
	max-height: 7vh;
	max-width: 7vh;
}

/* Spotify */
#spotify	{
	color: rgb(255, 255, 255);
}
.spotify-text:hover	{
	color: rgb(0,185,96);
}
#spotify-player-column	{
	padding: 5px;
	height: 100%;
}
#spotify-player-container	{
	background-color: rgb(48, 48, 48);
	border: 2px solid black;
	padding: 5px;
	height: 100%;
}
#spotify-player-text	{
	margin-left: 15px;
}
#spotify-player-row	{
	height: 100%;
}
#spotify-player-album-cover img	{
	border: 0.2em solid rgb(0,185,96);
	height: 10em;
	max-width: 10em;
	border-radius: 0.5em;
	background-color: rgb(0,185,96, 0.3);
}

/* Controls */
#spotify-controls	{
	margin: auto;
	align-items: center;
}
#spotify-controls-container	{
	display: flex;
}
.control-col	{
	height: 2em;
	margin-left: 0.15em;
	margin-right: 0.15em;
	max-width: 100%;
}
.control-hitbox	{
	height: 100%;
}
.control-hitbox	img{
	margin: auto;
	height: 100%;
}

/* Progress bar control */
#spotify-progress-hitbox	{
	padding-top: 0.7em;
	padding-bottom: 0.7em;
	margin: auto;
}
#spotify-progress-outerbar {
	margin: auto;
	height: 0.3em;
	border-radius: 0.5em;
	background-color: rgb(71, 71, 71);
}
#spotify-progress-innerbar {
	border-radius: 0.5em;
	background-color: rgb(214, 214, 214);
	height: 100%;
	transition: width .3s ease;
	color: rgb(214, 214, 214);
}
#spotify-progress-hitbox:hover #spotify-progress-innerbar {
	background-color: rgb(0,185,96);
	color: rgb(0,185,96);
}
.spotify-time	{
	display: flex;
	align-items: center;
	justify-content: center;
	font-size: small;
	max-width: 100%;
	padding-left: 0.5em;
	padding-right: 0.5em;
	margin-bottom: 2px;
}

/* Volume bar control */
#spotify-volume	{
	width: 3em;
	padding-left: 0;
	padding-right: 0;
	padding-top: 0.5em;
	padding-bottom: 0.5em;
}
#spotify-volume-hitbox	{
	height: 84%;
}
#spotify-volume-outerbar {
	margin: auto;
	width: 0.5em;
	height: 100%;
	border-radius: 1em;
	background-color: rgb(71, 71, 71);
}
#spotify-volume-innerbar {
	border-radius: 1em;
	background-color: rgb(214, 214, 214);
	width: 100%;
	align-self: flex-end;
	transition: height .3s ease;
	color: rgb(214, 214, 214);
}
#spotify-volume-hitbox:hover #spotify-volume-innerbar {
	background-color: rgb(0,185,96);
	color: rgb(0,185,96);
}
#spotify-control-mute-row	{
	display: flex;
	align-items: center;
	justify-content: center;
	margin-top: 0.2em;
	height: 2em;
}

/* Playlists */
#spotify-playlist-column	{
	padding: 5px;
	height: 11.5em;
}
#spotify-playlist-container	{
	background-color: rgb(48, 48, 48);
	border: 2px solid black;
	padding-top: 0.3em;
	padding-bottom: 0.3em;
	overflow-y: auto;
	height: 100%;
}
#spotify-playlist-container::-webkit-scrollbar	{
	width: 0.7em;
}
#spotify-playlist-container::-webkit-scrollbar-track {
    -webkit-box-shadow: inset 0 0 6px rgb(24, 24, 24);
}
#spotify-playlist-container::-webkit-scrollbar-thumb {
	background-color: rgb(83, 83, 83);
}
#spotify-playlist	{
	font-size: 14px;
	padding-left: 1em;
	padding-right: 1em;
	padding-top: 0.1em;
	padding-bottom: 0.1em;
	margin-top: -0.2em;
	margin-bottom: -0.2em;
	display: inline-block;
	white-space: nowrap;
	overflow: hidden;
	text-overflow: ellipsis;
	width: 100%;
	min-width: 0;
}
#spotify-playlist:hover	{
	background-color: rgb(60, 60, 60);
}